Update debit note

put
https://api.wafeq.com/v1/debit-notes/{id}/

Endpoint for updating an existing debit note.

Path Params
stringrequired
Query Params
string

Comma-separated relationships to expand. Pass journal to replace the journal ID with its object (ID, date, currency, reference, notes and timestamps). Documents without a journal still return null. Journal line items are retrieved separately with GET /v1/journal-line-items/?journal={journal_id}.

Body Params

A debit note received from a supplier.

attachmentsarray of strings

Any files or documents attached to this debit note.

string | null

The branch associated with this debit note.

stringrequired

The contact (customer) associated with this debit note.

stringenumrequired

The currency used for this debit note.

View the enum reference

custom_fieldsobject

A mapping of custom field IDs to their values.

daterequired

The date when the debit note was issued.

stringrequired

The unique number assigned to this debit note.

double | null

The exchange rate to the organization base currency at the time of the document.

stringlength ≤ 255

External identifier for the debit note.

line_itemsarray of objectsrequired

The individual line items included in this debit note.

string

Any additional notes or comments related to this debit note.

stringlength ≤ 100

An optional order number associated with this debit note.

string | null

The project associated with this debit note, if applicable.

string

An optional reference number or code for this debit note.

stringenumDefaults to DRAFT

The current status of the debit note (draft or posted).

View the enum reference

Allowed:
stringenum

Specifies whether the tax amount is inclusive or exclusive.

View the enum reference

Allowed:
Headers
string

Client-provided UUID to uniquely identify a request

stringenumDefaults to application/json

Generated from available request content types

Allowed:
Response